Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate Class Reference

Parser for UserUpdate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate:

## Public Member Functions
| __construct (UserService $userService, ContentService $contentService, FieldTypeParser $fieldTypeParser, ParserTools $parserTools)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $userService
| $contentService
| $fieldTypeParser
| $parserTools
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for UserUpdate.

Definition at line 21 of file UserUpdate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate::__construct | ( | UserService | $userService,
|  | ContentService | $contentService,
|  | FieldTypeParser | $fieldTypeParser,
|  | ParserTools | $parserTools
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\UserService | $userService |
  \eZ\Publish\API\Repository\ContentService | $contentService |
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser | $fieldTypeParser |
  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |

Definition at line 59 of file UserUpdate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\$contentService, eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\$fieldTypeParser, eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\$parserTools, and eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\$userService.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\Core\REST\Server\Values\RestUserUpdateStruct

Definition at line 75 of file UserUpdate.php.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate::$contentService
| protected

Definition at line 35 of file UserUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\__construct().

## ◆ $fieldTypeParser

eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate::$fieldTypeParser
| protected

Definition at line 42 of file UserUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\__construct().

## ◆ $parserTools

eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate::$parserTools
| protected

Definition at line 49 of file UserUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\__construct().

## ◆ $userService

eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate::$userService
| protected

Definition at line 28 of file UserUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserUpdate\__construct().

The documentation for this class was generated from the following file:

- UserUpdate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.